"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MenuLinkRenderer = void 0;
var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));
var _react = _interopRequireWildcard(require("react"));
var _emotion = require("emotion");
var _reactRouter = require("@webiny/react-router");
var _List = require("@webiny/ui/List");
var _appAdmin = require("@webiny/app-admin");
var _Icon = require("@webiny/ui/Icon");
var _index = require("../index");
var _templateObject;
var listItemStyle = (0, _emotion.css)(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n    font-weight: 400 !important;\n\n    .mdc-deprecated-list &.mdc-deprecated-list-item:hover {\n        cursor: pointer;\n        background-color: var(--mdc-theme-background);\n    }\n"])));
var MenuLinkRenderer = exports.MenuLinkRenderer = function MenuLinkRenderer(PrevMenuItem) {
  return function MenuLink() {
    var _useNavigation = (0, _index.useNavigation)(),
      setVisible = _useNavigation.setVisible;
    var _useMenuItem = (0, _appAdmin.useMenuItem)(),
      menuItem = _useMenuItem.menuItem,
      depth = _useMenuItem.depth;
    var hideMenu = (0, _react.useCallback)(function () {
      return setVisible(false);
    }, []);
    var shouldRender = depth === 0 && (menuItem ? menuItem.tags || [] : []).includes("footer");
    if (!shouldRender) {
      return /*#__PURE__*/_react.default.createElement(PrevMenuItem, null);
    } else if (!menuItem) {
      // TODO @ts-refactor check if to return component or null @pavel
      console.log("MenuLinkRenderer returning PrevMenuItem because missing menuItem variable.");
      return /*#__PURE__*/_react.default.createElement(PrevMenuItem, null);
    }
    var withLink = function withLink(content) {
      return /*#__PURE__*/_react.default.createElement(_reactRouter.Link, {
        to: menuItem.path || "",
        target: menuItem.target,
        "data-testid": menuItem.testId,
        onClick: menuItem.onClick || hideMenu
      }, content);
    };
    var item = /*#__PURE__*/_react.default.createElement(_List.ListItem, {
      "data-testid": menuItem.testId,
      ripple: false,
      className: listItemStyle,
      onClick: menuItem.onClick || hideMenu
    }, menuItem.icon ? /*#__PURE__*/_react.default.createElement(_List.ListItemGraphic, null, /*#__PURE__*/_react.default.createElement(_Icon.Icon, {
      icon: menuItem.icon
    })) : null, menuItem.label);
    return menuItem.path ? withLink(item) : item;
  };
};

//# sourceMappingURL=MenuLinkRenderer.js.map